import React, { PropsWithoutRef, PureComponent } from 'react';
import { Tool } from './Tool';
export declare type EditorProps = PropsWithoutRef<{
    tools: {
        new (...args: any[]): Tool;
    }[];
    value?: string;
    onChange?(value: string): any;
}>;
interface EditorState {
    toolList: Tool[];
    data: string;
}
export declare class Editor extends PureComponent<EditorProps, EditorState> {
    box: React.RefObject<HTMLDivElement>;
    state: {
        toolList: Tool[];
        data: string;
    };
    static getDerivedStateFromProps({ tools, value }: EditorProps, { toolList, data }: EditorState): EditorState;
    componentDidMount(): void;
    componentWillUnmount(): void;
    updateTools: () => void;
    render(): JSX.Element;
}
export {};
