import { RefObject } from 'react';
export declare function getAnchorElement(): HTMLElement;
export declare abstract class Tool {
    abstract name: string;
    abstract icon: string;
    tags?: string[];
    keys?: string[];
    command?: string;
    inputs?: string[];
    get usable(): boolean;
    protected getActive(): boolean;
    get active(): boolean;
    protected edit(editor: HTMLElement, ...data: any[]): void;
    execute(editor: HTMLElement, ...data: any[]): void;
    render(editor: RefObject<HTMLElement>): JSX.Element;
}
export declare abstract class FileTool extends Tool {
    save(data: Blob): Promise<string>;
    codeOf(path: string): string;
    execute(editor: HTMLElement): Promise<void>;
}
