import { PropsWithoutRef, RefObject } from 'react';
import { Tool } from '../Tool';
export declare type ColorName = 'color' | 'backgroundColor';
export declare type ColorSelectorProps = PropsWithoutRef<{
    className?: string;
    title?: string;
    icon: string;
    type: ColorName;
    value?: string;
    onChange?(color: string): any;
}>;
export declare function ColorSelector({ className, title, type, value, onChange, icon }: ColorSelectorProps): JSX.Element;
export declare abstract class ColorTool extends Tool {
    abstract colorName: ColorName;
    getColor(): string;
    get active(): boolean;
    execute(editor: HTMLElement, color: string): void;
    render(editor: RefObject<HTMLElement>): JSX.Element;
}
export declare class ForeColorTool extends ColorTool {
    name: string;
    icon: string;
    command: string;
    colorName: ColorName;
}
export declare class BackColorTool extends ColorTool {
    name: string;
    icon: string;
    command: string;
    colorName: ColorName;
}
