import { Tool } from '../Tool';
export declare type AlignMode = 'left' | 'center' | 'right' | 'justify';
export declare abstract class AlignTool extends Tool {
    abstract align: AlignMode;
    get active(): boolean;
}
export declare class AlignLeftTool extends AlignTool {
    name: string;
    icon: string;
    command: string;
    align: AlignMode;
}
export declare class AlignCenterTool extends AlignTool {
    name: string;
    icon: string;
    command: string;
    align: AlignMode;
}
export declare class AlignRightTool extends AlignTool {
    name: string;
    icon: string;
    command: string;
    align: AlignMode;
}
export declare class AlignFullTool extends AlignTool {
    name: string;
    icon: string;
    command: string;
    align: AlignMode;
}
export declare class OrderedListTool extends Tool {
    name: string;
    icon: string;
    tags: string[];
    command: string;
}
export declare class UnorderedListTool extends Tool {
    name: string;
    icon: string;
    tags: string[];
    command: string;
}
export declare class HorizontalRuleTool extends Tool {
    name: string;
    icon: string;
    tags: string[];
    command: string;
}
